Bug 498551 - The short form for fcoeadm switch display output properly while long displays help screen.
The short form for fcoeadm switch display output properly while long displays...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fcoe-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Zeleny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 21:48 EDT by Aaron Brown
Modified: 2009-05-14 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 503167 (view as bug list)
Environment:
Last Closed: 2009-05-14 12:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixes handling of long options given to fcoeadm (3.58 KB, patch)
2009-05-06 05:22 EDT, Jan Zeleny
no flags Details | Diff

  None (edit)
Description Aaron Brown 2009-04-30 21:48:51 EDT
Description of problem:
when using the short form (fcoeadm -i) of fcoeadm switches, fcoeadm works as expected but when using the long form (fcoeadm --interface) they don't. The long form just displays the help menu instead of proper output.  The displayed help screen does show the long form as a valid command.

Version-Release number of selected component (if applicable):
fcoeadm v1.0.7

How reproducible:
enter any fcoeadm command in both short form and long form, observe differences.
  
Actual results:
Help is displayed for the long form rather then output expected for the flag.

Expected results:
The output should be the same for both short and long forms of the fcoeadm options.

Additional info:
Comment 1 Aaron Brown 2009-04-30 22:01:55 EDT
The fcoeadm --help, --stats and --version commands do function as expected, the rest give nothing but the help screen.
Comment 2 Jan Zeleny 2009-05-05 11:25:09 EDT
I'm working on patch. Could you please tell me, if you are experiencing problems with --lun parameter? It looks fine to me.
Comment 3 Aaron Brown 2009-05-05 17:57:00 EDT
Yes, the "fcoeadm --lun ..." form of the command does appear to work exactly as teh "fcoeadm -l ..." form.  I did see the help screen rather then LUN info when I was trying this earlier, but after examining my history buffer I realize I was using improper syntax.
Comment 4 Jan Zeleny 2009-05-06 05:22:14 EDT
Created attachment 342624 [details]
Patch fixes handling of long options given to fcoeadm

I've made attached patch. Before I commit it to rawhide, I want open-fcoe guys to take look at it and accept it to upstream version.
Comment 5 Robert Love 2009-05-06 16:38:15 EDT
Jan, could you please mail this patch to devel@open-fcoe.org so the list can review it? That would also allow us to get a propper commit message and you can have your Signed-off line in the commit.

FYI: I took a quick glance at the change and it looks good. I have not tested it though.
Comment 6 Jan Zeleny 2009-05-14 12:22:13 EDT
For now, I've applied the patch, it should work fine. If there are any issues with it, please open new bugzilla. In the future I expect complete rework of option handling. Rebase of the package will probably take place after that.

Note You need to log in before you can comment on or make changes to this bug.